Get an event by ID
curl --request GET \
--url https://app-api.costory.io/events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.costory.io/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.costory.io/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"link": "<string>"
},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"labels": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"scopeId": "<string>"
},
"widgetEvents": [
{
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"request": {
"period": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"forecastDays": 1,
"comparisonPeriod": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"enabled": true
}
},
"queries": [
{
"type": "condition",
"expression": "<string>",
"name": "<string>",
"colorIndex": 123,
"alias": "<string>",
"visible": true
}
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"bookmarkedEvents": [
"<string>"
],
"scopeId": "<string>",
"limitOverride": 500
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"title": "",
"description": ""
}
],
"id": "<string>",
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {},
"currency": "USD",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"isBookmarked": true,
"dateFormatted": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Events
Get an event by ID
GET
/
events
/
{id}
Get an event by ID
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Path Parameters
Response
Event retrieved successfully
Show child attributes
Show child attributes
Minimum string length:
5Show child attributes
Show child attributes
Available options:
BUSINESS, TECHNICAL, PROVIDER Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
TRAILING_90_DAYS, TRAILING_30_DAYS, TRAILING_45_DAYS, TRAILING_7_DAYS, TRAILING_3_DAYS, TRAILING_14_WEEKS, MTD, QTD, YTD, LAST_WEEK, LAST_MONTH, LAST_6_MONTHS, LAST_12_MONTHS, LAST_4_YEARS, LAST_3_MONTHS, LAST_INVOICE_MONTH Show child attributes
Show child attributes
Available options:
EUR, USD, GBP, CNY Show child attributes
Show child attributes
Last modified on July 24, 2026
Was this page helpful?
⌘I
